%define upstream_name       Config-Model
%define upstream_version 0.640

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Framework for config validation and edition
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Carp::Assert::More)
Requires: perl(Parse::RecDescent)
Requires: perl(Exception::Class)
Requires: perl(Carp::Assert::More)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Using Config::Model, a typical configuration validation tool will be made
of 3 parts :

 - The user interface
 - The validation engine which is in charge of validating all the configuration
   information provided by the user.
 - The storage facility that store the configuration information

Config::Model provides a validation engine according to a set of rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README ChangeLog LICENSE
%{_bindir}/config-edit
%{perl_vendorlib}/Config
%{_mandir}/man1/config-edit.1*
%{_mandir}/man3/*



%changelog
* Thu Sep 10 2009 Jérôme Quelin <jquelin@mandriva.org> 0.640.0-1mdv2010.0
+ Revision: 436572
- update to 0.640

* Wed Sep 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.639.0-1mdv2010.0
+ Revision: 434670
- new version

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.638.0-4mdv2010.0
+ Revision: 393070
- yet another dependency fix

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.638.0-3mdv2010.0
+ Revision: 393057
- fix dependencies

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.638.0-2mdv2010.0
+ Revision: 392798
- fix dependencies

* Fri Jul 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.638.0-1mdv2010.0
+ Revision: 391938
- update to new version 0.638

* Thu Jun 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.637-1mdv2010.0
+ Revision: 389094
- update to new version 0.637

* Sat Jun 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.636.0-1mdv2010.0
+ Revision: 385675
- import perl-Config-Model


* Sat Jun 13 2009 cpan2dist 0.636-1mdv
- initial mdv release, generated with cpan2dist

